package be.iminds.ilabt.jfed.rspec.model;

/**
 * LoginService
 */
public class WebVncService {
    private final String providerId;
    private final String vncUrl;
    private final String username;
    private final String password;

    public WebVncService(String providerId, String vncUrl, String username, String password) {
        this.providerId = providerId;
        this.vncUrl = vncUrl;
        this.username = username;
        this.password = password;
    }

    public WebVncService(WebVncService other) {
        this.providerId = other.providerId;
        this.vncUrl = other.vncUrl;
        this.username = other.username;
        this.password = other.password;
    }

    public String getProviderId() {
        return providerId;
    }

    public String getVncUrl() {
        return vncUrl;
    }

    public String getUsername() {
        return username;
    }

    public String getPassword() {
        return password;
    }

}
